COSH(3Cg)

NAME
cosh - returns hyperbolic cosine of scalars and vectors.

SYNOPSIS
  float  cosh(float a);
  float1 cosh(float1 a);
  float2 cosh(float2 a);
  float3 cosh(float3 a);
  float4 cosh(float4 a);

  half   cosh(half a);
  half1  cosh(half1 a);
  half2  cosh(half2 a);
  half3  cosh(half3 a);
  half4  cosh(half4 a);

  fixed  cosh(fixed a);
  fixed1 cosh(fixed1 a);
  fixed2 cosh(fixed2 a);
  fixed3 cosh(fixed3 a);
  fixed4 cosh(fixed4 a);

PARAMETERS

a   Vector or scalar of which to determine the hyperbolic cosine.

DESCRIPTION
Returns the hyperbolic cosine of a.

For vectors, the returned vector contains the hyperbolic cosine of each element of the input vector.

REFERENCE IMPLEMENTATION
cosh for a scalar float could be implemented like this.

  float cosh(float x)
  {
    return 0.5 * (exp(x)+exp(-x));
  }

PROFILE SUPPORT
cosh is supported in all profiles except fp20.

SEE ALSO
acos, cos, exp, sinh, tanh